Status: In Progress Start date: 02 Apr 2014

Priority: High Due date:  

Assignee:  % Done: 10%

Category: New Function Estimated time: 20.00 hours

Target version: CoCoALib-1.0 Spent time: 0.10 hour

Description

Idea: all (or most) fns which return bool3 values should accept a flag (bool?) saying whether to be "quick" or "correct".

This idea arose when trying to implement IamIntegralDomain3 for a QuotientRing; the best impl would simply have been return

IsPrime3(myDefiningIdeal,QuickModeFlag).  This would allow IsPrime3 to be "clever" in some cases...

Is this a good idea?

What type should the quick-or-correct flag be?  A plain bool or from a 2-element enum?  Or maybe an enum with more than 2

elements e.g. which would permit the use of "quick" heuristics to give a "reliable" result (e.g. IsProbPrime instead of IsPrime)?

Related issues:

Related to CoCoALib - Design #498: IsIntegralDomain, IamIntegralDomain3 Closed 28 Mar 2014

Related to CoCoALib - Feature #361: implement IsPrime3, IsMaximal3 Closed 29 May 2013

Related to CoCoALib - Design #871: Redesign ideals New 26 Apr 2016

Related to CoCoALib - Feature #899:  IsMaximal, IsPrimary for IDEAL (in cocoa... Closed 27 Jun 2016

Related to CoCoALib - Design #924: FlagManager for bool/bool3 flags New 19 Sep 2016

History

#1 - 15 Apr 2014 15:47 - John Abbott

- Status changed from New to In Progress

- Priority changed from Normal to High

- % Done changed from 0 to 10

- Estimated time set to 20.00 h

We should start by looking at the various current uses of bool3, and possibly any obvious future candidates.

#2 - 10 Jul 2014 16:30 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#3 - 26 Apr 2016 15:10 - John Abbott

- Related to Design #871: Redesign ideals added

#4 - 08 Sep 2016 11:21 - Anna Maria Bigatti

- Related to Feature #899:  IsMaximal, IsPrimary for IDEAL (in cocoalib) added

#5 - 19 Sep 2016 07:49 - Anna Maria Bigatti

- Related to Design #924: FlagManager for bool/bool3 flags added
